Bug 197901 - graphics/luminance fails to build when USE_GCC=yes implies GCC 4.9
Summary: graphics/luminance fails to build when USE_GCC=yes implies GCC 4.9
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks: 196712
  Show dependency treegraph
 
Reported: 2015-02-22 01:41 UTC by Gerald Pfeifer
Modified: 2015-04-09 19:24 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2015-02-22 01:41:18 UTC
This is related to PR 196712 and blocks updating the default version of
GCC from 4.8 to 4.9.

I believe what is happening here is that OpenEXR uses GCC on older 
versions of FreeBSD and when linking with the OpenEXR libraries we
then fail to pull in the proper NEWER GCC run-time libraries.

This can be fixed by building (or at least linking) with the same
compiler that OpenEXR is built with.  See OpenEXR/Makefile for how
this is done there. 

(Same issue for luminance-hdr-qt5.)

http://package18.nyi.freebsd.org/data/93i386-default-PR196712/2015-01-18_16h49m19s/logs/errors/luminance-hdr-2.3.1_4.log

/usr/local/bin/cmake -E cmake_link_script CMakeFiles/luminance-hdr.dir/link.txt --verbose=1
/usr/bin/c++   -O2 -pipe -fno-strict-aliasing -O2 -pipe -fno-strict-aliasing   CMakeFiles/luminance-hdr.dir/qrc_icons.cxx.o  -o luminance-hdr  -Xlinker --start-group src/Libpfs/libpfs.a src/TonemappingOperators/libpfstmo.a src/HdrCreation/libhdrcreation.a src/MainWindow/libmainwindow.a src/MainGui/libmain_gui.a src/PreviewPanel/libpreviewpanel.a src/Common/libcommon.a src/OsIntegration/libosintegration.a src/BatchHDR/libbatchhdr.a src/BatchTM/libbatchtm.a src/Core/libcore.a src/Exif/libexif.a src/Fileformat/libfileformat.a src/HdrWizard/libhdrwizard.a src/HelpBrowser/libhelpbrowser.a src/Preferences/libpreferencesdialog.a src/Projection/libprojectionsdialog.a src/Resize/libresizedialog.a src/Threads/libthreads.a src/TonemappingPanel/libtonemappingpanel.a src/TransplantExif/libtransplantexif.a src/UI/libui.a src/Viewers/libviewers.a src/PreviewSettings/libpreviewsettings.a -Xlinker --end-group /usr/local/lib/qt4/libQtCore.so /usr/local/lib/qt4/libQtGui.so /usr/local/lib/qt4/libQtNetwork.so /usr/local/lib/qt4/libQtWebKit.so /usr/local/lib/qt4/libQtXml.so /usr/local/lib/qt4/libQtSql.so /usr/local/lib/libIlmImf.so /usr/local/lib/libHalf.so /usr/local/lib/libIex.so /usr/local/lib/libtiff.so /usr/local/lib/libraw_r.so /usr/local/lib/libfftw3f.so /usr/local/lib/libfftw3f_threads.so /usr/local/lib/libgsl.so /usr/local/lib/libgslcblas.so /usr/local/lib/libexiv2.so /usr/local/lib/libjpeg.so /usr/local/lib/liblcms2.so /usr/local/lib/libpng.so -lz -Wl,-rpath,/usr/local/lib/qt4:/usr/local/lib: 
/usr/local/lib/libIlmImf.so: undefined reference to `std::__throw_out_of_range_fmt(char const*, ...)@GLIBCXX_3.4.20'
*** [luminance-hdr] Error code 1
Comment 1 Bugzilla Automation freebsd_committer 2015-02-22 01:41:18 UTC
Maintainer CC'd
Comment 2 Gerald Pfeifer freebsd_committer 2015-04-09 19:24:03 UTC
OpenEXR no longer employes USE_GCC=yes, so this issue should be
resolved without changes to graphics/luminance.